- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QGraphicsBlurEffect Class Reference

Search for all occurrences

## Detailed Description

Definition at line 159 of file qgraphicseffect.h.

`#include <qgraphicseffect.h>`

Inheritance diagram for QGraphicsBlurEffect:
[legend]

List of all members.

## Public Types
enum | BlurHint { PerformanceHint = 0x00, QualityHint = 0x01, AnimationHint = 0x02 }
## Public Slots
void | setBlurRadius (qreal blurRadius)
void | setBlurHints (BlurHints hints)
## Signals
void | blurRadiusChanged (qreal blurRadius)
void | blurHintsChanged (BlurHints hints)
## Public Member Functions
| QGraphicsBlurEffect (QObject *parent=0)
| ~QGraphicsBlurEffect ()
QRectF | boundingRectFor (const QRectF &rect) const
qreal | blurRadius () const
BlurHints | blurHints () const
## Protected Member Functions
void | draw (QPainter *painter)
## Properties
qreal | blurRadius
BlurHints | blurHints

## Member Enumeration Documentation

enum BlurHint

Search for all occurrences

Enumerator:

  PerformanceHint | Search for all occurrences
  QualityHint | Search for all occurrences
  AnimationHint | Search for all occurrences

Definition at line 166 of file qgraphicseffect.h.

                      {
            PerformanceHint = 0x00,
            QualityHint = 0x01,
            AnimationHint = 0x02
        };

## Constructor & Destructor Documentation

QGraphicsBlurEffect | ( | QObject * | parent = `0` | ) |

~QGraphicsBlurEffect | ( |  | ) |

## Member Function Documentation

QRectF boundingRectFor | ( | const QRectF & | rect | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsEffect.

qreal blurRadius | ( |  | ) | const

Search for all occurrences

BlurHints blurHints | ( |  | ) | const

Search for all occurrences

void setBlurRadius | ( | qreal | blurRadius | ) | `[slot]`

Search for all occurrences

void setBlurHints | ( | BlurHints | hints | ) | `[slot]`

Search for all occurrences

void blurRadiusChanged | ( | qreal | blurRadius | ) | `[signal]`

Search for all occurrences

void blurHintsChanged | ( | BlurHints | hints | ) | `[signal]`

Search for all occurrences

void draw | ( | QPainter * | painter | ) | `[protected, virtual]`

Search for all occurrences

Implements QGraphicsEffect.

## Property Documentation

qreal blurRadius `[read, write]`

Search for all occurrences

Definition at line 163 of file qgraphicseffect.h.

BlurHints blurHints `[read, write]`

Search for all occurrences

Definition at line 164 of file qgraphicseffect.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicseffect.h

QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect
QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect QGraphicsBlurEffect